package com.jasamedika.medifirst2000.service;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

import com.jasamedika.medifirst2000.entities.IndikatorBiosTransaksi;
import com.jasamedika.medifirst2000.vo.IndikatorBIOSTransaksiVO;

public interface IndikatorBIOSTransaksiService
		extends BaseVoService<IndikatorBiosTransaksi, IndikatorBIOSTransaksiVO, String> {

	Map<String, Object> findLayananKesehatan(String bulan);

	Map<String, Object> findIndikatorLain(String bulan, String tglAwal, String tglAkhir, Integer idIndikator,
			Boolean statusKirim, Integer jenisIndikator);

	Map<String, Object> findSaldoKeuangan(String bulan, String tglAwal, String tglAkhir, String kdBank, String kdRek,
			Boolean statusKirim);

	List<Map<String, Object>> sendToBIOSG2(String bulan, String noRec, Integer jenisIndikator);

	List<IndikatorBIOSTransaksiVO> hitungSimpanLayananKesehatanPeriode(String tglAwal, String tglAkhir)
			throws ParseException;

	List<IndikatorBIOSTransaksiVO> hitungSimpanJumlahPasienPeriode(String tglAwal, String tglAkhir)
			throws ParseException;

	List<IndikatorBIOSTransaksiVO> hitungSimpanIndikatorPelayananPeriode(String tglAwal, String tglAkhir)
			throws ParseException;

	Boolean isSaldoAwalExists(Integer idIndikator);

	Map<String, Object> getResponseDataBankBIOS();

	Map<String, Object> getResponseDataRekeningBIOS();

}
